Question formats: HotPot question import for Moodle 2.x

qformat_hotpot
Maintained by Picture of Gordon BatesonGordon Bateson
Import HotPot files to Moodle 2.x question bank

HotPot question import for Moodle 2.x 2018-05-25 (20)

Release notes

======================================
HotPot question import for Moodle 2.x
======================================

This plugin allows you to import questions from Hot Potatoes 6 XML files into the Moodle 2.x question bank.

This software is distributed under the terms of the General Public License
(see http://www.gnu.org/licenses/gpl.txt for details)

This software is provided "AS IS" without a warranty of any kind.

======================================
Pre-requisites
======================================

1. This plugin is designed to run on Moodle 2.x.
It will not work on Moodle 1.x.

2. This plugin requires the HotPot module for Moodle 2.x
which can be downloaded from any of the following locations:

(a) GIT: https://github.com/gbateson/moodle-mod_hotpot.git
(b) CVS: the Moodle CVS repository (contrib/plugins/mod/hotpot)
(c) zip: the Moodle.org -> Plugins repository (search for HotPot)
(d) zip: http://bateson.kanazawa-gu.ac.jp/zip/plugins_mod_hotpot.zip

======================================
To INSTALL or UPDATE this plugin
======================================

1. download the files for this plugin from any one of the following locations:

(a) GIT: https://github.com/gbateson/moodle-qformat_hotpot.git
(b) zip: the Moodle.org -> Plugins repository (search for HotPot)
(c) zip: http://bateson.kanazawa-gu.ac.jp/zip/plugins_qformat_hotpot.zip

If you are installing from a zip file, unzip the zip file, to create a folder called "hotpot"
and upload or move this "hotpot" folder to the "question/format" folder on your Moodle 2.x site
to create a new folder at "question/format/hotpot"
Moodle 2.0, 2.1, 2.2, 2.3, 2.4, 2.5, 2.6, 2.7, 2.8, 2.9, 3.0, 3.1, 3.2, 3.3, 3.4, 3.5, 3.8

Version information

Version build number
2018052520
Version release name
2018-05-25 (20)
Maturity
Stable version
MD5 Sum
be505b07f574e19316a64befa6536a23
Supported software
Moodle 2.1, Moodle 2.0, Moodle 2.2, Moodle 2.3, Moodle 2.4, Moodle 2.5, Moodle 2.6, Moodle 2.7, Moodle 2.8, Moodle 2.9, Moodle 3.0, Moodle 3.1, Moodle 3.2, Moodle 3.3, Moodle 3.4, Moodle 3.5, Moodle 3.8
  • This is the latest release for Moodle 2.0
  • This is the latest release for Moodle 2.1
  • This is the latest release for Moodle 2.2
  • This is the latest release for Moodle 2.3
  • This is the latest release for Moodle 2.4
  • This is the latest release for Moodle 2.5
  • This is the latest release for Moodle 2.6
  • This is the latest release for Moodle 2.7
  • This is the latest release for Moodle 2.8
  • This is the latest release for Moodle 2.9
  • This is the latest release for Moodle 3.0
  • This is the latest release for Moodle 3.1
  • This is the latest release for Moodle 3.2
  • This is the latest release for Moodle 3.3
  • This is the latest release for Moodle 3.4
  • This is the latest release for Moodle 3.5
  • This is the latest release for Moodle 3.8

Version control information

Version control system (VCS)
GIT
VCS repository URL
VCS branch
master
VCS tag
2018-05-25-(20)

Default installation instructions for plugins of the type Question formats

  1. Make sure you have all the required versions.
  2. Download and unpack the module.
  3. Place the folder (eg "myformat") in the "question/format" subdirectory.
  4. Visit http://yoursite.com/admin to finish the installation